## sshuttle 0.42

=== debian/changelog ===
sshuttle (0.42-2) unstable; urgency=low

  * Update to upstream's latest version
  * Include pandoc in Build-Depends as it is now required to build
    the manpage
  * Install upstream's manpage instead of our own.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 17 Nov 2010 01:32:22 +0100

sshuttle (0.42-1) unstable; urgency=low

  * Initial release (Closes: 601626)
  * Write manpage for the Debian release

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 27 Oct 2010 02:50:49 +0200

## sshuttle 0.43a

=== Makefile ===
PANDOC:=$(shell \
	if pandoc </dev/null 2>/dev/null; then \
		echo pandoc; \
	else \
		echo "Warning: pandoc not installed; can't generate manpages." >&2; \
		echo '@echo Skipping: pandoc'; \
	fi)

default: all

all: sshuttle.8

sshuttle.8: sshuttle.md

%.8: %.md
	$(PANDOC) -s -r markdown -w man -o $@ $<

clean:
	rm -f *~ */*~ .*~ */.*~ *.8 *.tmp */*.tmp *.pyc */*.pyc

=== debian/changelog ===
sshuttle (0.43a-1) unstable; urgency=low

  * New upstream version with patches from GIT
     - Fixes file descriptors leak after a long run (Closes: 607067)
     - Clear up upstream patches and sync (Closes: 607069)
  * debian/patches:
     - Remove debian-changes-0.42-1
     - Refresh debian-changes-0.42-2
     - Add debian-changes-0.43a-1: changes introduced in the GIT repository after the
       0.43a release

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 20 Dec 2010 13:12:00 +0100

=== debian/control ===
Source: sshuttle
Section: net
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pandoc
Standards-Version: 3.8.4
Homepage: http://github.com/apenwarr/sshuttle/
Vcs-Git: git://github.com/apenwarr/sshuttle/archives/sshuttle-0.42
Vcs-Browser: http://github.com/apenwarr/sshuttle/tree/master

Package: sshuttle
Architecture: all
Depends: iptables, openssh-client | lsh-client | dropbear | ssh-client, python, ${python:Depends} 
Recommends: sudo
Description: Transparent proxy server for VPN over SSH
 Sshuttle makes it possible to access remote networks using 
 SSH. It creates a transparent proxy server, using iptables, that will forward
 all the traffic through an SSH tunnel to a remote copy of sshuttle.
 .
 It does not require installation on the remote server, which
 just needs to have python installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@ 

#override_dh_auto_clean:
#	rm -f debian/sshuttle.8
#
#override_dh_auto_build:
#	docbook-to-man debian/sshuttle.sgml > debian/sshuttle.8

override_dh_auto_install:
	PREFIX=debian/sshuttle $(MAKE) install
# Wrapper install - not required
#	rm -f debian/sshuttle/usr/sbin/sshuttle
#	install -m 755 debian/sshuttle.wrapper debian/sshuttle/usr/sbin/sshuttle

## sshuttle 0.53

=== debian/changelog ===
sshuttle (0.53-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #620914).
  * Migrate from dh_pysupport to dh_python2 helper and add B-D on python.
  * Add X-Python-Version: >= 2.4 to indicate minimal Python version expected.
  * Make copyright file DEP-5 compliant.
  * Add watch file and implement get-orig-source to pull tarball from Github.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add useful files to use with debhelper: clean, install and manpages.
  * Add patch to document missing flag in manpage.
  * Drop manpage from Debian in favor of the one provided by upstream.
  * Update Homepage and Vcs-* fields. Vcs-* field should point to Debian
    packaging repositories.
  * Disabled debian-changes* patches since they don't apply cleanly anymore.
    They weren't dropped because I don't know if upstream solved those issues.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 31 May 2011 21:28:52 -0430

=== debian/control ===
Source: sshuttle
Section: net
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pandoc, python (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: https://github.com/apenwarr/sshuttle/
Vcs-Git: git://git.debian.org/collab-maint/sshuttle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sshuttle.git

Package: sshuttle
Architecture: all
Depends: iptables, openssh-client | lsh-client | dropbear | ssh-client, python, ${python:Depends}, ${misc:Depends}
Recommends: sudo
Description: Transparent proxy server for VPN over SSH
 Sshuttle makes it possible to access remote networks using
 SSH. It creates a transparent proxy server, using iptables, that will forward
 all the traffic through an SSH tunnel to a remote copy of sshuttle.
 .
 It does not require installation on the remote server, which
 just needs to have python installed.

## sshuttle 0.54

=== Makefile ===
all:

Makefile:
	@

%: FORCE
	+./do $@

.PHONY: FORCE

=== debian/changelog ===
sshuttle (0.54-2) unstable; urgency=low

  * debian/rules: Post-process pandoc result since it converts double dashes
   to emphasized output and this is not rendered properly in the manpage
   (Closes: #666265)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 31 Mar 2012 11:25:25 +0200

sshuttle (0.54-1) unstable; urgency=low

  * New upstream release.
  * Add myself as co-maintainer.
  * Remove unnecessary README.source.
  * Document the fact that manpage.diff patch was forwarded to upstream.
  * Wrap long lines of README.Debian.
  * Remove unused patches.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 24 Jul 2011 21:25:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sshuttle
 Section: net
 Priority: extra
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
+Uploaders: Miguel Landaeta <miguel@miguel.cc> 
 Build-Depends: debhelper (>= 7.0.50~), pandoc, python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_clean:
override_dh_auto_install:
override_dh_auto_test:

override_dh_auto_build:
	pandoc -s -r markdown -w man -o sshuttle_fix.8 sshuttle.md
	cat sshuttle_fix.8 | sed -e 's/\\\[em\]/--/g' >sshuttle.8
	-rm -f sshuttle_fix.8

override_dh_install:
	dh_install -Xstresstest.py

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --no-conf --rename --force-download --destdir $(CURDIR)

=== debian/watch ===
version=3
https://github.com/apenwarr/sshuttle/downloads \
 /apenwarr/sshuttle/tarball/sshuttle-([0-9\.]+) \
 debian debian/orig-tar.sh

## sshuttle 0.71

=== debian/changelog ===
sshuttle (0.71-1) unstable; urgency=medium

  * New upstream release.
  * Add dh-python to Build-Depends
  * debian/patches/fix_sshuttle_call.diff: Add new patch to fix the call to
    sshuttle to make it work properly (Debian bug #790893)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 04 Jul 2015 13:22:27 +0200

sshuttle (0.70-1) unstable; urgency=medium

  * Upgrade to release 0.70 (Closes: #682918)
  * Add debian/patches/add_version_date_to_manpage.diff and
    debian/patches/move_documentation.diff to add a tag for version and date
    in the manpage and move it to the expected location.
  * Add debian/patches/merge_source_060.diff with the patch from the merge
    of the new upsteam release with the previous version 0.61 (to be reviewed)
  * Add debian/patches/prevent_hostname_leak.diff to ensure that the 
    permissions of temporary files are set to 0600 to prevent sensitive
    information from being leaked under some circumstances (Closes: 760886)
  * debian/install: Adjust the location of the Python files with the new
    upstream release. Also add the files provided in the packaging/ directory
    upstream (except for the service file, which is provided as an example)
  * debian/sshuttle.dirs: Create the same directories as those generated
    by sshuttle's packaging script 'make_deb'
  * debian/sshuttle.docs: Provide the service script as an example for users
    to review before deploying
  * debian/README.Debian: document that an example service file is now
    provided
  * debian/control: 
       + Update Homepage location
       + Suggest 'autossh' as upstream does
       + Update Standards-Version, no changes needed
  * debian/watch: Update watch file with suggested changes from PTS and
    updating the URL to the latest upstream
  * debian/copyright: Adjust location of files based on the new upstream
    directory setup, fix a lintian warning (short license name) and 
    add licensing for the packaging/ subdir

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 30 Jun 2015 22:41:21 +0200

sshuttle (0.61-1) unstable; urgency=low

  * New upstream release. (Closes: #682918).
  * Update watch file.
  * Update copyright file.
  * Bump Standards-Version to 3.9.3. No changes were required.
  * Remove debian/patches/manpage.diff since it was merged upstream.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 27 Jul 2012 19:53:04 -0430

=== debian/control ===
Source: sshuttle
Section: net
Priority: extra
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc> 
Build-Depends: debhelper (>= 7.0.50~), pandoc, python (>= 2.6.6-3~), dh-python
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
Homepage: https://github.com/sshuttle/sshuttle
Vcs-Git: git://git.debian.org/collab-maint/sshuttle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sshuttle.git

Package: sshuttle
Architecture: all
Depends: iptables, openssh-client | lsh-client | dropbear | ssh-client, python, ${python:Depends}, ${misc:Depends}
Recommends: sudo
Suggests: autossh
Description: Transparent proxy server for VPN over SSH
 Sshuttle makes it possible to access remote networks using SSH. It creates a
 transparent proxy server, using iptables, that will forward all the traffic
 through an SSH tunnel to a remote copy of sshuttle.
 .
 It does not require installation on the remote server, which just needs to
 have Python installed.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_clean:
override_dh_auto_install:
override_dh_auto_test:

override_dh_auto_build:
	pandoc -s -r markdown -w man -o sshuttle_fix.8 Documentation/sshuttle.md
	cat sshuttle_fix.8 | sed -e 's/\\\[em\]/--/g' >sshuttle.8
	-rm -f sshuttle_fix.8

override_dh_install:
	dh_install -Xstresstest.py

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/sshuttle/usr/lib/sshuttle/main.py

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --no-conf --rename --force-download --destdir $(CURDIR)

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\S+-bin)$/0.0.$1/ \
https://github.com/sshuttle/sshuttle/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|sshuttle(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## sshuttle 0.75

=== debian/changelog ===
sshuttle (0.75-1) unstable; urgency=medium

  * New upstream release.
  * Upload to debian unstable now Python3.5 is the default.

 -- Brian May <bam@debian.org>  Tue, 12 Jan 2016 12:37:35 +1100

sshuttle (0.74-1) experimental; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Sun, 10 Jan 2016 10:17:37 +1100

sshuttle (0.73-1) experimental; urgency=medium

  * New upstream release.
  * Package requires Python3.5.

 -- Brian May <bam@debian.org>  Fri, 04 Dec 2015 11:41:48 +1100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: net
 Priority: extra
 Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc> 
-Build-Depends: debhelper (>= 7.0.50~), pandoc, python (>= 2.6.6-3~), dh-python
+Uploaders: Miguel Landaeta <miguel@miguel.cc>, Brian May <bam@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), pandoc, dh-python,
+    python3-all, python3-setuptools, python3-pytest, python3-mock
 Standards-Version: 3.9.6
-X-Python-Version: >= 2.4
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.5
 Homepage: https://github.com/sshuttle/sshuttle
 Vcs-Git: git://git.debian.org/collab-maint/sshuttle.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sshuttle.git
 
 Package: sshuttle
 Architecture: all
-Depends: iptables, openssh-client | lsh-client | dropbear | ssh-client, python, ${python:Depends}, ${misc:Depends}
+Depends: iptables, openssh-client | lsh-client | dropbear | ssh-client,
+    python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
 Recommends: sudo
 Suggests: autossh
 Description: Transparent proxy server for VPN over SSH

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sshuttle
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	pandoc -s -r markdown -w man -o sshuttle.8 sshuttle/sshuttle.md

override_dh_auto_test:
	PYTHONPATH=. \
	    dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/py.test-3"

## sshuttle 0.76

=== debian/changelog ===
sshuttle (0.76-1ubuntu1.2) xenial; urgency=medium

  * d/p/lp1897987-Backward-compatibility-with-Python-2.4-server.patch:
    - Fix compatibility with remote py3.4 (LP: #1897987)
  * d/p/lp1897961-Fix-shell-quoting.patch:
    - Add missing import needed by previous commit backport
      (LP: #1897961)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 30 Sep 2020 20:34:45 -0400

sshuttle (0.76-1ubuntu1.1) xenial; urgency=medium

  [ Dan Streetman ]
  * d/p/lp1896299/0001-Add-support-for-iproute2.patch,
    d/p/lp1896299/0002-Small-refactoring-of-netstat-iproute-parsing.patch,
    d/p/lp1896299/0003-Backward-compatibility-with-Python-2.4-server.patch:
    - allow connecting to remote without netstat (LP: #1896299)
  * d/p/lp1592853-Use-versions-of-python3-greater-than-3.5-when-availa.patch:
    - detect if remote python is 'python' or 'python3' (LP: #1592853)
  * d/p/lp1873368/0001-Don-t-crash-if-we-can-t-look-up-peername.patch,
    d/p/lp1873368/0002-allow-Mux-flush-fill-to-work-with-python-3.5.patch,
    d/p/lp1873368/0003-Fix-python2-server-compatibility.patch:
    - fix interoperability with remote py2 and/or py3
      (same bug as below)

  [ Felipe Reyes ]
  * d/p/0001-compatibility-with-python38.patch:
    Backport patch to make sshuttle compatible
    with python-3.8. (LP: #1873368). Closes: #953621.

 -- Felipe Reyes <felipe.reyes@canonical.com>  Sat, 19 Sep 2020 13:50:22 -0400

sshuttle (0.76-1ubuntu1) xenial; urgency=medium

  * Make hostwatch find both fqdn and hostname (LP: #1787245)
    - d/p/make-hostwatch-find-fqdn-and-hostname.patch: cherry-pick
      patch from upstream to add both the FQDN and the hostname
      so they are both resolvable.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 29 Aug 2018 20:49:40 -0700

sshuttle (0.76-1) unstable; urgency=medium

  * New upstream release.
  * New sphinx documentation.

 -- Brian May <bam@debian.org>  Sun, 17 Jan 2016 19:13:24 +1100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sshuttle
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	PYTHONPATH=. sphinx-build -b man -d docs/.build/.doctrees -N docs docs/.build/man

override_dh_auto_test:
	PYTHONPATH=. \
	    dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/py.test-3"

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf tmp
	rm -rf docs/.build docs/_build

## sshuttle 0.78.0

=== debian/changelog ===
sshuttle (0.78.0-1) unstable; urgency=medium

  * New upstream version

 -- Brian May <bam@debian.org>  Fri, 08 Apr 2016 12:10:24 +1000

sshuttle (0.77.2-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Mon, 07 Mar 2016 10:07:12 +1100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
 Uploaders: Miguel Landaeta <miguel@miguel.cc>, Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pandoc, dh-python,
-    python3-all, python3-setuptools, python3-pytest, python3-mock
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.50~), dh-python,
+    python3-all, python3-setuptools, python3-pytest, python3-mock,
+    python3-sphinx (>= 1.0.7+dfsg-1~), python3-setuptools-scm,
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/sshuttle/sshuttle

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=sshuttle
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell cat sshuttle.egg-info/PKG-INFO | sed -n 's/^Version: //p')
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
@@ -11,7 +13,7 @@
 
 override_dh_auto_test:
 	PYTHONPATH=. \
-	    dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/py.test-3"
+	    dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"
 
 .PHONY: override_dh_clean
 override_dh_clean:

## sshuttle 0.78.1

=== debian/changelog ===
sshuttle (0.78.1-1) unstable; urgency=medium

  * New upstream version.
  * Set maintainer to myself.
  * Update debian standards version to 3.9.8
  * Fix upstream changelog. Closes: #812976.

 -- Brian May <bam@debian.org>  Sat, 06 Aug 2016 21:03:40 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: sshuttle
 Section: net
 Priority: extra
-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>, Brian May <bam@debian.org>
+Maintainer: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-python,
     python3-all, python3-setuptools, python3-pytest, python3-mock,
+    python-pytest-runner,
     python3-sphinx (>= 1.0.7+dfsg-1~), python3-setuptools-scm,
-Standards-Version: 3.9.7
+    python3-pytest-runner,
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/sshuttle/sshuttle

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sshuttle
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell cat PKG-INFO | sed -n 's/^Version: //p')

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_sphinxdoc
override_dh_sphinxdoc:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs debian/sshuttle/usr/share/doc/sshuttle/html
	PYTHONPATH=. sphinx-build -b man -d docs/.build/.doctrees -N docs debian/sshuttle/usr/share/man/man1
	dh_sphinxdoc
#endif

override_dh_auto_test:
	PYTHONPATH=. \
	    dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf tmp
	rm -rf docs/.build docs/_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## sshuttle 0.78.3

=== requirements.txt ===
setuptools-scm==1.15.6

=== debian/changelog ===
sshuttle (0.78.3-1ubuntu1.1) bionic; urgency=medium

  [ Dan Streetman ]
  * d/p/lp1592853-Use-versions-of-python3-greater-than-3.5-when-availa.patch:
    - detect if remote python is 'python' or 'python3' (LP: #1592853)
  * d/p/lp1873368/0001-Don-t-crash-if-we-can-t-look-up-peername.patch,
    d/p/lp1873368/0002-allow-Mux-flush-fill-to-work-with-python-3.5.patch,
    d/p/lp1873368/0003-Fix-python2-server-compatibility.patch,
    - fix interoperability with other releases py2/py3
      (same LP bug as below)

  [ Felipe Reyes ]
  * d/p/0001-compatibility-with-python38.patch:
    Backport patch to make sshuttle compatible
    with python-3.8. (LP: #1873368). Closes: #953621.

 -- Felipe Reyes <felipe.reyes@canonical.com>  Sat, 19 Sep 2020 13:54:06 -0400

sshuttle (0.78.3-1ubuntu1) bionic; urgency=medium

  * Make hostwatch find both fqdn and hostname (LP: #1787245)
    - d/p/make-hostwatch-find-fqdn-and-hostname.patch: cherry-pick
      patch from upstream to add both the FQDN and the hostname
      so they are both resolvable.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 29 Aug 2018 15:00:55 -0700

sshuttle (0.78.3-1) unstable; urgency=medium

  * New upstream version.
  * Set standards version to 4.0.0.
  * Update debhelper compat version to 9.

 -- Brian May <bam@debian.org>  Sun, 09 Jul 2017 09:29:39 +1000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: extra
 Maintainer: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-python,
+Build-Depends: debhelper (>= 9), dh-python,
     python3-all, python3-setuptools, python3-pytest, python3-mock,
     python-pytest-runner,
     python3-sphinx (>= 1.0.7+dfsg-1~), python3-setuptools-scm,
     python3-pytest-runner,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/sshuttle/sshuttle

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=sshuttle
-export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell cat PKG-INFO | sed -n 's/^Version: //p')
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## sshuttle 0.78.4

=== debian/changelog ===
sshuttle (0.78.4-1) unstable; urgency=medium

  * New upstream version.
  * Change priority from extra to optional.

 -- Brian May <bam@debian.org>  Mon, 02 Apr 2018 15:23:28 +1000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: sshuttle
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
     python3-all, python3-setuptools, python3-pytest, python3-mock,
@@ -11,8 +11,8 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/sshuttle/sshuttle
-Vcs-Git: git://git.debian.org/collab-maint/sshuttle.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sshuttle.git
+Vcs-Browser: https://salsa.debian.org/debian/sshuttle
+Vcs-Git: https://salsa.debian.org/debian/sshuttle.git
 
 Package: sshuttle
 Architecture: all

## sshuttle 0.78.5

=== debian/changelog ===
sshuttle (0.78.5-1ubuntu1.2) focal; urgency=medium

  * d/t/cross-release:
    - fix flakiness and speed of test (LP: #1927757)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 25 Jun 2021 13:07:31 -0400

sshuttle (0.78.5-1ubuntu1.1) focal; urgency=medium

  * d/p/lp1873368/0001-allow-Mux-flush-fill-to-work-with-python-3.5.patch,
    d/p/lp1873368/0002-Fix-python2-server-compatibility.patch:
    - fix interoperability with remote py2 and/or py3
      follow-on to last commit for (LP: #1873368)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 18 Sep 2020 08:15:24 -0400

sshuttle (0.78.5-1ubuntu1) focal; urgency=medium

  * d/p/0001-compatibility-with-python38.patch:
    Backport patch to make sshuttle compatible
    with python-3.8. (LP: #1873368). Closes: #953621.
  * d/control: Remove unused Python 2 build
    dependencies since its source package
    dropped python2 support. Closes: #943238.

 -- Felipe Reyes <felipe.reyes@canonical.com>  Thu, 02 Jul 2020 12:49:21 -0400

sshuttle (0.78.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/changelog: Remove trailing whitespaces

  [ Brian May ]
  * Add python-pytest-cov and python3-pytest-cov to build depends

 -- Brian May <bam@debian.org>  Tue, 29 Jan 2019 10:00:29 +1100

=== debian/tests/control ===
Tests: cross-release
Restrictions: allow-stderr, isolation-machine, needs-root, breaks-testbed, skippable
Depends: @, lxd, ssh, python3, python3-apt, python3-distro-info

## sshuttle 1.0.3

=== debian/changelog ===
sshuttle (1.0.3-1) unstable; urgency=medium

  [ Brian May ]
  * Update to latest upstream version. Closes: #953621.
  * Upstream has dropped Python 2 support.

  [ Scott Talbert ]
  * Remove unused Python 2 dependencies. Closes: #943238.
  * Remove ancient X-Python3-Version field
  * Add missing ${sphinxdoc:Depends}
  * Update debhelper-compat version to 13
  * Update Standards-Version to 4.5.0 (no changes needed)

 -- Brian May <bam@debian.org>  Sun, 12 Jul 2020 19:21:26 +1000

## sshuttle 1.0.4

=== requirements.txt ===
setuptools-scm==4.1.2

=== debian/changelog ===
sshuttle (1.0.4-1ubuntu4) groovy; urgency=medium

  * d/t/cross-release:
    - test without providing --python param

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 30 Sep 2020 17:23:22 -0400

sshuttle (1.0.4-1ubuntu3) groovy; urgency=medium

  * d/t/cross-release:
    - fixes for autopkgtest

 -- Dan Streetman <ddstreet@canonical.com>  Sat, 19 Sep 2020 08:28:03 -0400

sshuttle (1.0.4-1ubuntu2) groovy; urgency=medium

  * d/t/cross-release: fix error in checking sshuttle version

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 18 Sep 2020 19:22:08 -0400

sshuttle (1.0.4-1ubuntu1) groovy; urgency=medium

  * d/p/lp1873368/0001-Fix-python2-server-compatibility.patch,
    d/p/lp1873368/0002-Fix-flake8-line-too-long.patch,
    d/p/lp1873368/0003-Fix-python2-client-compatibility.patch:
    - fix compatibility with remote py2 (LP: #1873368)
  * d/t/control, d/t/cross-release:
    - add autopkgtest for cross-release compatibility checks

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 18 Sep 2020 13:57:01 -0400

sshuttle (1.0.4-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Brian May ]
  * New upstream release.

 -- Brian May <bam@debian.org>  Mon, 24 Aug 2020 08:11:31 +1000

## sshuttle 1.0.5

=== requirements.txt ===
setuptools-scm==5.0.1
psutil

=== debian/changelog ===
sshuttle (1.0.5-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - d/t/control, d/t/cross-release:
      - add autopkgtest for cross-release compatibility checks

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Mar 2021 10:25:36 +0100

sshuttle (1.0.5-1) unstable; urgency=medium

  * New upstream version.
  * Fixes FTBS error. Closes: #978265.

 -- Brian May <bam@debian.org>  Tue, 29 Dec 2020 11:00:34 +1100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
     python3-all, python3-setuptools, python3-pytest, python3-mock,
-    python-pytest-runner,
     python3-sphinx (>= 1.0.7+dfsg-1~), python3-setuptools-scm,
-    python3-pytest-runner,
-Standards-Version: 4.0.0
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.5
+    python3-pytest-runner, python3-pytest-cov
+Standards-Version: 4.5.0
 Homepage: https://github.com/sshuttle/sshuttle
 Vcs-Browser: https://salsa.debian.org/debian/sshuttle
 Vcs-Git: https://salsa.debian.org/debian/sshuttle.git
@@ -17,7 +14,8 @@
 Package: sshuttle
 Architecture: all
 Depends: iptables, openssh-client | lsh-client | dropbear | ssh-client,
-    python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
+    python3-pkg-resources, python3-distutils,
+    ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: sudo
 Suggests: autossh
 Description: Transparent proxy server for VPN over SSH

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/sshuttle/sshuttle-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sshuttle 1.1.1

=== requirements.txt ===
Sphinx==5.1.1

=== debian/changelog ===
sshuttle (1.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Removes setuptools-scm. Closes: #1015044.

 -- Brian May <bam@debian.org>  Tue, 06 Sep 2022 08:44:19 +1000

sshuttle (1.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Should work with sudo use_pty option. Closes: #1003154.

 -- Brian May <bam@debian.org>  Fri, 28 Jan 2022 09:57:26 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Brian May <bam@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
     python3-all, python3-setuptools, python3-pytest, python3-mock,
-    python3-sphinx (>= 1.0.7+dfsg-1~), python3-setuptools-scm,
+    python3-sphinx (>= 1.0.7+dfsg-1~),
     python3-pytest-runner, python3-pytest-cov
 Standards-Version: 4.5.0
 Homepage: https://github.com/sshuttle/sshuttle

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sshuttle-$1\.tar\.gz/ \
  https://github.com/sshuttle/sshuttle/tags .*/v?(\d\S+)\.tar\.gz

## sshuttle 1.1.2

=== requirements.txt ===
Sphinx==7.1.2
furo==2024.1.29

=== debian/changelog ===
sshuttle (1.1.2-3) unstable; urgency=medium

  * Remove dependancies on python3-pkg-resources and
    python3-setuptools. Closes: #1083782.

 -- Brian May <bam@debian.org>  Sat, 05 Oct 2024 13:50:13 +1000

sshuttle (1.1.2-2) unstable; urgency=medium

  * Drop depends on python3-distutils. Closes: #1065962.

 -- Brian May <bam@debian.org>  Tue, 12 Mar 2024 10:33:34 +1100

sshuttle (1.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 19 Feb 2024 11:55:11 +1100

sshuttle (1.1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-sphinx.
  * Allow iptables | nftables, not just iptables. Closes: #1037916.

 -- Brian May <bam@debian.org>  Thu, 15 Jun 2023 08:37:30 +1000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
-    python3-all, python3-setuptools, python3-pytest, python3-mock,
-    python3-sphinx (>= 1.0.7+dfsg-1~),
-    python3-pytest-runner, python3-pytest-cov
+    python3-all, python3-pytest,
+    python3-sphinx,
+    python3-pytest-runner, python3-pytest-cov,
+    furo,
 Standards-Version: 4.5.0
 Homepage: https://github.com/sshuttle/sshuttle
 Vcs-Browser: https://salsa.debian.org/debian/sshuttle
@@ -13,8 +14,7 @@
 
 Package: sshuttle
 Architecture: all
-Depends: iptables, openssh-client | lsh-client | dropbear | ssh-client,
-    python3-pkg-resources, python3-distutils,
+Depends: iptables | nftables, openssh-client | lsh-client | dropbear | ssh-client,
     ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: sudo
 Suggests: autossh

## sshuttle 1.2.0

=== debian/changelog ===
sshuttle (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Sun, 09 Feb 2025 10:06:38 +1100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
     python3-sphinx,
     python3-pytest-runner, python3-pytest-cov,
     furo,
+    pybuild-plugin-pyproject, python3-poetry-core
 Standards-Version: 4.5.0
 Homepage: https://github.com/sshuttle/sshuttle
 Vcs-Browser: https://salsa.debian.org/debian/sshuttle

## sshuttle 1.3.0

=== debian/changelog ===
sshuttle (1.3.0-1) unstable; urgency=medium

  * New upstreaam version.

 -- Brian May <bam@debian.org>  Mon, 24 Feb 2025 08:39:44 +1100

## sshuttle 1.3.1

=== debian/changelog ===
sshuttle (1.3.1-1) unstable; urgency=medium

  * New upstream version.
    * correct bad version number at runtime.
    * Restore "nft" method.

 -- Brian May <bam@debian.org>  Wed, 26 Mar 2025 07:40:38 +1100

## sshuttle 1.3.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sshuttle.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sshuttle.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sshuttle"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sshuttle"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
sshuttle (1.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2025 09:42:11 +1000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
     python3-all, python3-pytest,
     python3-sphinx,
     python3-pytest-runner, python3-pytest-cov,
+    python3-hatchling,
     furo,
-    pybuild-plugin-pyproject, python3-poetry-core
+    pybuild-plugin-pyproject
 Standards-Version: 4.5.0
 Homepage: https://github.com/sshuttle/sshuttle
 Vcs-Browser: https://salsa.debian.org/debian/sshuttle

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 .PHONY: override_dh_sphinxdoc
 override_dh_sphinxdoc:
 #ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs debian/sshuttle/usr/share/doc/sshuttle/html
-	PYTHONPATH=. sphinx-build -b man -d docs/.build/.doctrees -N docs debian/sshuttle/usr/share/man/man1
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs debian/sshuttle/usr/share/doc/sshuttle/html
+	PYTHONPATH=. python3 -m sphinx -b man -d docs/.build/.doctrees -N docs debian/sshuttle/usr/share/man/man1
 	dh_sphinxdoc
 #endif
